--- dia-0.85-0/lib/font.c	Mon Feb 28 08:29:21 2000
+++ dia-0.85-1/lib/font.c	Mon May 22 22:09:40 2000
@@ -88,21 +88,39 @@
 FontData font_data[] = {
   { "Times-Roman",
     "Times-Roman",
+#ifdef USE_JAPANESE
+    { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-times-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   }, 
   { "Times-Italic",
     "Times-Italic",
+#ifdef USE_JAPANESE
+    { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-i-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-times-medium-i-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   }, 
   { "Times-Bold",
     "Times-Bold",
+#ifdef USE_JAPANESE
+    { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-times-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   }, 
   { "Times-BoldItalic",
     "Times-BoldItalic",
@@ -160,51 +178,99 @@
   },
   { "Courier",
     "Courier",
+#ifdef USE_JAPANESE
+    { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-courier-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Courier-Oblique",
     "Courier-Oblique",
+#ifdef USE_JAPANESE
+    { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-i-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-courier-medium-o-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Courier-Bold",
     "Courier-Bold",
+#ifdef USE_JAPANESE
+    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Courier-BoldOblique",
     "Courier-BoldOblique",
+#ifdef USE_JAPANESE
+    { "-adobe-courier-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-i-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-courier-bold-o-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Helvetica",
     "Helvetica",
+#ifdef USE_JAPANESE
+    { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-helvetica-medium-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Helvetica-Oblique",
     "Helvetica-Oblique",
+#ifdef USE_JAPANESE
+    { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-medium-i-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-helvetica-medium-o-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Helvetica-Bold",
     "Helvetica-Bold",
+#ifdef USE_JAPANESE
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-r-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Helvetica-BoldOblique",
     "Helvetica-BoldOblique",
+#ifdef USE_JAPANESE
+    { "-adobe-helvetica-bold-r-normal-*-%d-*-*-*-*-*-*-*,-*-mincho-bold-i-normal-*-%d-*-*-*-*-*-*-*",
+      NULL
+    }
+#else
     { "-adobe-helvetica-bold-o-normal-*-%d-*-*-*-*-*-*-*",
       NULL
     }
+#endif
   },
   { "Helvetica-Narrow",
     "Helvetica-Narrow",
@@ -330,9 +396,17 @@
       break;
     bufsize = strlen(x11_font)+6;  /* Should be enought*/
     buffer = (char *)g_malloc(bufsize);
+#ifdef USE_JAPANESE
+    g_snprintf(buffer, bufsize, x11_font, 100, 100);
+#else
     g_snprintf(buffer, bufsize, x11_font, 100);
-    
+#endif
+
+#ifdef USE_JAPANESE    
+    gdk_font = gdk_fontset_load(buffer);
+#else
     gdk_font = gdk_font_load(buffer);
+#endif
     if (gdk_font!=NULL) {
       font->fontname_x11 = x11_font;
     }
@@ -347,9 +421,17 @@
       x11_font = last_resort_fonts[i];
       bufsize = strlen(x11_font)+6;  /* Should be enought*/
       buffer = (char *)g_malloc(bufsize);
+#ifdef USE_JAPANESE
+      g_snprintf(buffer, bufsize, x11_font, 100, 100);
+#else
       g_snprintf(buffer, bufsize, x11_font, 100);
-      
+#endif
+
+#ifdef USE_JAPANESE      
+      gdk_font = gdk_fontset_load(buffer);
+#else
       gdk_font = gdk_font_load(buffer);
+#endif
       g_free(buffer);
       if (gdk_font!=NULL) {
 	message_warning(_("Warning no X Font for %s found, \nusing %s instead.\n"), font->public.name, x11_font);
@@ -451,8 +533,12 @@
   
   bufsize = strlen(font->fontname_x11)+6;  /* Should be enought*/
   buffer = (char *)malloc(bufsize);
+#ifdef USE_JAPANESE
+  g_snprintf(buffer, bufsize, font->fontname_x11, height, height);
+#else
   g_snprintf(buffer, bufsize, font->fontname_x11, height);
-  gdk_font = gdk_font_load(buffer);
+#endif
+  gdk_font = gdk_fontset_load(buffer);
   free(buffer);
 
   return gdk_font;
